"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Icon = _interopRequireDefault(require("../Icon"));

var _Box = _interopRequireDefault(require("../Box"));

var _hooks = require("../../../hooks");

var _RadioGroup = require("./RadioGroup");

var _useRadio = require("./useRadio");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Radio = ({
  icon,
  children,
  ...props
}, ref) => {
  const contextState = _react.default.useContext(_RadioGroup.RadioContext);

  const {
    activeColor,
    borderColor,
    iconColor,
    size,
    isInvalid,
    ...newProps
  } = (0, _hooks.usePropsConfig)('Radio', { ...contextState,
    ...props
  }); // only calling below function when icon exist.

  const sizedIcon = () =>
  /*#__PURE__*/
  //@ts-ignore
  _react.default.cloneElement(icon, {
    size,
    //@ts-ignore
    color: icon.props.color ? icon.props.color : iconColor
  });

  const {
    inputProps
  } = (0, _useRadio.useRadio)(props, contextState, null);
  const {
    checked,
    disabled: isDisabled
  } = inputProps;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    activeOpacity: 1,
    ref: ref
  }, inputProps), /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center"
  }, newProps, {
    opacity: isDisabled ? 0.4 : 1
  }, _reactNative.Platform.OS === 'web' ? {
    disabled: isDisabled,
    cursor: isDisabled ? 'not-allowed' : 'auto'
  } : {}), /*#__PURE__*/_react.default.createElement(_Box.default, {
    backgroundColor: checked ? isDisabled ? borderColor : activeColor : 'transparent',
    borderColor: checked ? isDisabled || isInvalid ? borderColor : activeColor : borderColor,
    borderWidth: 2,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    borderRadius: 999
  }, icon && checked ? sizedIcon() : /*#__PURE__*/_react.default.createElement(_Icon.default, {
    name: "circle-medium",
    type: "MaterialCommunityIcons",
    size: size,
    color: iconColor,
    opacity: checked ? 1 : 0
  })), children));
};

var _default = /*#__PURE__*/_react.default.forwardRef(Radio);

exports.default = _default;
//# sourceMappingURL=Radio.js.map