function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import remove from 'lodash/remove';
import Box from '../../primitives/Box';
import getIndexedChildren from '../../../utils/getIndexedChildren';
import { AccordionContext } from './Context';

const Accordion = ({
  children,
  allowMultiple,
  allowToggle,
  onChange,
  style,
  ...props
}) => {
  const [index, setIndex] = React.useState(props.index || props.defaultIndex || []);

  const changeHandler = (isOpening, activeIndex) => {
    let indexCopy = index.map(i => i);

    if (allowToggle) {
      if (isOpening) {
        indexCopy.push(activeIndex);
        allowMultiple ? setIndex(indexCopy) : setIndex([activeIndex]);
      } else {
        setIndex(index.splice(index.indexOf(activeIndex), 1));
      }
    } else {
      if (isOpening) {
        indexCopy.push(activeIndex);
        allowMultiple ? setIndex(indexCopy) : setIndex([activeIndex]);
      } else {
        remove(indexCopy, n => n === activeIndex);
        setIndex(indexCopy);
      }
    }

    onChange && onChange(indexCopy);
  };

  return /*#__PURE__*/React.createElement(AccordionContext.Provider, {
    value: {
      index: index,
      changeHandler
    }
  }, /*#__PURE__*/React.createElement(Box, _extends({
    style: style
  }, props), getIndexedChildren(children, 'AccordionItem')));
};

export default Accordion;
//# sourceMappingURL=Accordion.js.map