function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Flex, Link as BreadCrumbLink } from '../../primitives';
import { extractInObject } from '../../../theme/tools';
import { BreadCrumbSeparator } from './BreadCrumbSeparator';
import { usePropsConfig } from '../../../hooks';
export { BreadCrumbItem } from './BreadCrumbItem';
export { BreadCrumbLink };

const BreadCrumb = ({
  style,
  children,
  separator,
  spacing,
  ...props
}) => {
  const [textProps, remainingProps] = extractInObject(props, ['fontWeight', 'fontFamily', 'fontSize', 'color', 'textDecoration', 'txtDecor', 'wordBreak', 'textOverflow', 'textTransform', 'whiteSpace', 'overflowWrap', 'bold', 'italic', 'underline', 'strikeThrough', 'isTruncated', 'noOfLines']);
  let newProps = usePropsConfig('BreadCrumb', remainingProps);
  return /*#__PURE__*/React.createElement(Flex, _extends({}, newProps, {
    style: style
  }), children && !children.length ? children : BreadCrumbSeparator(children, separator, textProps, spacing));
};

export default BreadCrumb;
//# sourceMappingURL=index.js.map