function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Box, Text, Icon } from '../../primitives';
import { usePropsConfig } from '../../../hooks';
export const StatLabel = ({
  style,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Text, _extends({
    style: style
  }, props), props.children);
};
export const StatNumber = ({
  style,
  ...props
}) => {
  let newProps = usePropsConfig('Stat', props);
  return /*#__PURE__*/React.createElement(Text, _extends({}, newProps._statNumber, newProps, {
    style: style
  }), props.children);
};
export const StatHelpText = ({
  style,
  ...props
}) => {
  let newProps = usePropsConfig('Stat', props);
  return /*#__PURE__*/React.createElement(Box, _extends({}, newProps._statHelpText, newProps, {
    style: style
  }), props.children);
};
export const StatArrow = ({
  type,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ml: -1,
    type: "Entypo",
    name: type === 'increase' ? 'triangle-up' : 'triangle-down'
  }, props, {
    color: type === 'increase' ? 'green.500' : 'red.500'
  }));
};
export const StatGroup = ({
  style,
  ...props
}) => {
  let newProps = usePropsConfig('Stat', props);
  return /*#__PURE__*/React.createElement(Box, _extends({}, newProps._statGroup, newProps, {
    style: style
  }));
};

const Stat = ({
  style,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Box, _extends({}, props, {
    style: style
  }));
};

export default Stat;
//# sourceMappingURL=index.js.map