function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity, Platform } from 'react-native';
import Icon from '../Icon';
import Box from '../Box';
import { usePropsConfig } from '../../../hooks';
import { RadioContext } from './RadioGroup';
import { useRadio } from './useRadio';

const Radio = ({
  icon,
  children,
  ...props
}, ref) => {
  const contextState = React.useContext(RadioContext);
  const {
    activeColor,
    borderColor,
    iconColor,
    size,
    isInvalid,
    ...newProps
  } = usePropsConfig('Radio', { ...contextState,
    ...props
  }); // only calling below function when icon exist.

  const sizedIcon = () =>
  /*#__PURE__*/
  //@ts-ignore
  React.cloneElement(icon, {
    size,
    //@ts-ignore
    color: icon.props.color ? icon.props.color : iconColor
  });

  const {
    inputProps
  } = useRadio(props, contextState, null);
  const {
    checked,
    disabled: isDisabled
  } = inputProps;
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 1,
    ref: ref
  }, inputProps), /*#__PURE__*/React.createElement(Box, _extends({
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center"
  }, newProps, {
    opacity: isDisabled ? 0.4 : 1
  }, Platform.OS === 'web' ? {
    disabled: isDisabled,
    cursor: isDisabled ? 'not-allowed' : 'auto'
  } : {}), /*#__PURE__*/React.createElement(Box, {
    backgroundColor: checked ? isDisabled ? borderColor : activeColor : 'transparent',
    borderColor: checked ? isDisabled || isInvalid ? borderColor : activeColor : borderColor,
    borderWidth: 2,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    borderRadius: 999
  }, icon && checked ? sizedIcon() : /*#__PURE__*/React.createElement(Icon, {
    name: "circle-medium",
    type: "MaterialCommunityIcons",
    size: size,
    color: iconColor,
    opacity: checked ? 1 : 0
  })), children));
};

export default /*#__PURE__*/React.forwardRef(Radio);
//# sourceMappingURL=Radio.js.map