function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { ActivityIndicator } from 'react-native';
import styled from 'styled-components/native';
import { color, space, position } from 'styled-system';
import { useToken, usePropsConfig } from '../../../hooks';
import { useSpinner } from './useSpinner';
const StyledSpinner = styled(ActivityIndicator)(color, space, position);

const Spinner = props => {
  const newProps = usePropsConfig('Spinner', props);
  const spinnerColor = useToken('colors', newProps.color);
  const {
    spinnerProps
  } = useSpinner(props);
  return /*#__PURE__*/React.createElement(StyledSpinner, _extends({}, spinnerProps, newProps, {
    color: spinnerColor
  }));
};

export default Spinner;
//# sourceMappingURL=index.js.map