import React from 'react';
import { OverlayContext } from './Context';
export const useOverlay = () => {
  const {
    setOverlayItem,
    defaultConfig,
    setConfig
  } = React.useContext(OverlayContext);

  const closeOverlay = () => {
    setOverlayItem(null);
  };

  const setOverlay = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setOverlayItem(component);
  };

  return {
    closeOverlay,
    setOverlay
  };
};
//# sourceMappingURL=useOverlay.js.map